Bug 428727 - (CVE-2008-0299) CVE-2008-0299 Paramiko insecure use of RandomPool
CVE-2008-0299 Paramiko insecure use of RandomPool
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://www.lag.net/pipermail/paramiko...
source=debian,impact=low,reported=200...
: Patch, Reopened, Security
Depends On: 428728 428729 428730
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-14 15:55 EST by Red Hat Product Security
Modified: 2010-12-23 11:16 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.7.1-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 11:16:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-01-14 15:55:42 EST
Description of problem:

Programs that maintain multiple simultaneous paramiko connections        
(Transport instances) via forking or threading may be vulnerable to attacks on
paramiko's random number generator. See URL for details.

http://www.lag.net/pipermail/paramiko/2008-January/000599.html
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=460706
Comment 2 Lubomir Kundrak 2008-01-14 15:59:37 EST
CVE Identifier for this issue was requested.
Comment 3 Fedora Update System 2008-01-15 17:56:08 EST
python-paramiko-1.7.1-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-01-15 18:12:18 EST
python-paramiko-1.7.1-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Red Hat Bugzilla 2009-10-23 15:04:46 EDT
Reporter changed to security-response-team@redhat.com by request of Jay Turner.

Note You need to log in before you can comment on or make changes to this bug.